if not ControllerInputTweak_Mod then
	ControllerInputTweak_Mod = {}
	ControllerInputTweak_Mod.ModPath = ModPath
	ControllerInputTweak_Mod.LocPath = ControllerInputTweak_Mod.ModPath.."menu/loc.txt"
	ControllerInputTweak_Mod.SavePath = SavePath.."controllerinputtweak.txt"
	ControllerInputTweak_Mod.Settings = { --InputTweakData - self.gamepad
		look_speed_dead_zone = 0.02, --Starting Deadzone. Camera will not move if the stick is within this zone
		look_speed_transition_occluder = 0.95, --Outer Deadzone edge before camera start to accelerate
		look_speed_transition_zone = 0.95, --Horizontal zone where acceleration is allowed. If vertical axis exceeds this, acceleration gets instantly set to 0. This causes horrible sensitivity inconsistency. -0.01 and below turns this feature off
		look_speed_transition_to_fast = 1, --Acceleration delay. Lower causes faster acceleration, higher makes it slower. Causes a divide by zero crash if set to 0
		look_speed_standard = 110, --Standard speed when camera isn't accelerating. This, and the settings below, are multiplied by the sensitivity settings in the base game
		look_speed_fast = 340, --Speed when accelerating
		look_speed_steel_sight = 60 --Speed when aiming down sights
	}
	function ControllerInputTweak_Mod:LoadSettings()
		local file = io.file_is_readable(ControllerInputTweak_Mod.SavePath) and io.load_as_json(ControllerInputTweak_Mod.SavePath)
		if file then
			for k,v in pairs(file) do
				ControllerInputTweak_Mod.Settings[k] = v
			end
		end
	end
	
	function ControllerInputTweak_Mod:SaveSettings()
		io.save_as_json(ControllerInputTweak_Mod.Settings,ControllerInputTweak_Mod.SavePath)
	end
end

Hooks:AddHook("BLTOnBuildOptions","ControllerInputTweak_Mod_Options_Build",function()
	MenuCallbackHandler.ControllerInputTweak_Mod_Options_slider = function(self,item)
		ControllerInputTweak_Mod.Settings[item:name()] = item:value()
	end
	MenuCallbackHandler.ControllerInputTweak_Mod_Options_save = function()
		ControllerInputTweak_Mod:SaveSettings()
		Hooks:Call("ControllerInputTweak_Mod_SettingsChanged")
	end
	
	MenuHelper:LoadFromJsonFile(ControllerInputTweak_Mod.ModPath.."menu/menu.txt",ControllerInputTweak_Mod,ControllerInputTweak_Mod.Settings)
end)

Hooks:AddHook("LocalizationManagerPostInit","ControllerInputTweak_Mod_Options_Loc",function(self)
	self:load_localization_file(ControllerInputTweak_Mod.LocPath)
end)

ControllerInputTweak_Mod:LoadSettings()